## e-dialog-widgets

e-dialog-widgets

## Functions

void | e_dialog_combo_box_set ()
gint | e_dialog_combo_box_get ()
GtkWidget * | e_dialog_button_new_with_icon ()
GtkWidget * | e_dialog_offline_settings_new_limit_box ()
GtkWidget * | e_dialog_new_mark_seen_box ()

## Description

## Functions

### e_dialog_combo_box_set ()

    void
    e_dialog_combo_box_set (GtkWidget *widget,
                            gint value,
                            const gint *value_map);

Sets the selected item in a GtkComboBox. Please read the description of `e_dialog_radio_set()` to see how `value_map` maps enumeration values to item indices.

#### Parameters

widget | A GtkComboBox. |
value | Enumerated value. |
value_map | Map from enumeration values to array indices. |

### e_dialog_combo_box_get ()

    gint
    e_dialog_combo_box_get (GtkWidget *widget,
                            const gint *value_map);

Queries the selected item in a GtkComboBox. Please read the description of `e_dialog_radio_set()` to see how `value_map` maps enumeration values to item indices.

#### Parameters

widget | A GtkComboBox. |
value_map | Map from enumeration values to array indices. |

#### Returns

Enumeration value which corresponds to the selected item in the combo box.

### e_dialog_button_new_with_icon ()

    GtkWidget *
    e_dialog_button_new_with_icon (const gchar *icon_name,
                                   const gchar *label);

Creates a new GtkButton with preset `label` and image set to `icon_name` .

#### Parameters

icon_name | Icon's name to use; can be `NULL` |
label | Button label to set, with mnemonics |

#### Returns

A new GtkButton.

[transfer-full]

Since: 3.12

### e_dialog_offline_settings_new_limit_box ()

    GtkWidget *
    e_dialog_offline_settings_new_limit_box
                                   (CamelOfflineSettings *offline_settings);

Creates a new horizontal GtkBox, which contains widgets to configure `offline_settings` properties limit-by-age, limit-unit and limit-value.

#### Parameters

offline_settings | a CamelOfflineSettings |

#### Returns

a new GtkBox.

[transfer full]

Since: 3.24

### e_dialog_new_mark_seen_box ()

    GtkWidget *
    e_dialog_new_mark_seen_box (gpointer object);

#### Parameters

object | either CamelFolder or ESourceMailAccount |

#### Returns

a new GtkBox containing widgets to setup "[x] Mark messages as read after [spin button] seconds" option using `object` properties "mark-seen" and "mark-seen-timeout".

[transfer full]

Since: 3.32